Package org.apache.sling.resourceresolver.impl.mapping

# Class ResourceMapperImpl

java.lang.Object
org.apache.sling.resourceresolver.impl.mapping.ResourceMapperImpl

All Implemented Interfaces:
  `org.apache.sling.api.resource.mapping.ResourceMapper`

public class ResourceMapperImpl extends Object implements org.apache.sling.api.resource.mapping.ResourceMapper

## Constructor Summary

Constructors
Constructor
Description
`ResourceMapperImpl(org.apache.sling.resourceresolver.impl.ResourceResolverImpl resolver, ResourceDecoratorTracker resourceDecorator, MapEntriesHandler mapEntries, Object namespaceMangler)`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getAllMappings(String resourcePath)`
`Collection<String>`
`getAllMappings(String resourcePath, javax.servlet.http.HttpServletRequest request)`
`String`
`getMapping(String resourcePath)`
`String`
`getMapping(String resourcePath, javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceMapperImpl

public ResourceMapperImpl(org.apache.sling.resourceresolver.impl.ResourceResolverImpl resolver, ResourceDecoratorTracker resourceDecorator, MapEntriesHandler mapEntries, Object namespaceMangler)

## Method Details

### getMapping

public String getMapping(String resourcePath)

Specified by:
  `getMapping` in interface `org.apache.sling.api.resource.mapping.ResourceMapper`

### getMapping

public String getMapping(String resourcePath, javax.servlet.http.HttpServletRequest request)

Specified by:
  `getMapping` in interface `org.apache.sling.api.resource.mapping.ResourceMapper`

### getAllMappings

public Collection<String> getAllMappings(String resourcePath)

Specified by:
  `getAllMappings` in interface `org.apache.sling.api.resource.mapping.ResourceMapper`

### getAllMappings

public Collection<String> getAllMappings(String resourcePath, javax.servlet.http.HttpServletRequest request)

Specified by:
  `getAllMappings` in interface `org.apache.sling.api.resource.mapping.ResourceMapper`